> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# List all components

GET https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/components

Reference: https://contentful.com/developers/docs/references/experience-management-api/components/list-components

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `environmentId` (string, required)

### Query parameters

- `access_token` (string, optional)
- `order` (any, optional)
- `pageNext` (string, optional)
- `pagePrev` (string, optional)
- `limit` (double, optional)
- `sys.id` (string, optional)
- `sys.id[in]` (any, optional)
- `sys.id[nin]` (any, optional)
- `sys.createdBy.sys.id` (string, optional)
- `sys.createdBy.sys.id[in]` (any, optional)
- `sys.createdBy.sys.id[nin]` (any, optional)
- `sys.updatedBy.sys.id` (string, optional)
- `sys.updatedBy.sys.id[in]` (any, optional)
- `sys.updatedBy.sys.id[nin]` (any, optional)
- `sys.publishedBy.sys.id` (string, optional)
- `sys.publishedBy.sys.id[in]` (any, optional)
- `sys.publishedBy.sys.id[nin]` (any, optional)
- `sys.createdAt[gt]` (any, optional)
- `sys.createdAt[gte]` (any, optional)
- `sys.createdAt[lt]` (any, optional)
- `sys.createdAt[lte]` (any, optional)
- `sys.updatedAt[gt]` (any, optional)
- `sys.updatedAt[gte]` (any, optional)
- `sys.updatedAt[lt]` (any, optional)
- `sys.updatedAt[lte]` (any, optional)
- `sys.publishedAt[gt]` (any, optional)
- `sys.publishedAt[gte]` (any, optional)
- `sys.publishedAt[lt]` (any, optional)
- `sys.publishedAt[lte]` (any, optional)
- `sys.firstPublishedAt[gt]` (any, optional)
- `sys.firstPublishedAt[gte]` (any, optional)
- `sys.firstPublishedAt[lt]` (any, optional)
- `sys.firstPublishedAt[lte]` (any, optional)
- `sys.version` (double, optional)
- `sys.publishedVersion` (double, optional)
- `sys.archivedAt[exists]` (boolean, optional)
- `sys.publishedAt[exists]` (boolean, optional)
- `metadata.tags.sys.id[in]` (string, optional)
- `metadata.tags.sys.id[all]` (string, optional)
- `metadata.tags.sys.id[nin]` (string, optional)
- `metadata.concepts.sys.id[in]` (string, optional)
- `metadata.concepts.sys.id[all]` (string, optional)
- `metadata.concepts.sys.id[nin]` (string, optional)
- `metadata.concepts.descendants[in]` (any, optional)
- `name[match]` (string, optional)
- `name` (string, optional)

## Response

### 200

200

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `limit` (double, required)
- `items` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItems, required)
- `pages` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaPages, required)
- `total` (double, optional)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 503 Service Unavailable Error

503

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext, optional)

## Types

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Error`

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSys, required)
- `name` (string, required)
- `description` (string, required)
- `contentProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems, required)
- `designProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems, required)
- `componentTree` (list of get__spaces__spaceId__environments__environmentId__components_4_200___schema3, optional, nullable)
- `slots` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItems, optional)
- `metadata` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadata, optional)
- `dataAssemblies` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaPages

- `next` (string, optional)
- `prev` (string, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContext

- `code` (string, required)
- `pluralCount` (double, optional)
- `parameters` (map from string to SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Component`
- `space` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysSpace, required)
- `environment` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironment, required)
- `version` (double, required)
- `createdAt` (string, required)
- `createdBy` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBy, required)
- `updatedAt` (string, required)
- `updatedBy` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBy, required)
- `fieldStatus` (map from string to map from string to enum, optional)
  - Allowed values: `draft`, `published`, `changed`
- `publishedAt` (string, optional)
- `publishedVersion` (double, optional)
- `publishedCounter` (double, optional)
- `firstPublishedAt` (string, optional)
- `publishedBy` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBy, optional)
- `variant` (string, optional)
- `variantType` (string, optional)
- `variantDimension` (string, optional)
- `automationTags` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysAutomationTagsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems

- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems0
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems1
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems2
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems3
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems4
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems5
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems6
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems7

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems

- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems0
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems1
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems2

### get__spaces__spaceId__environments__environmentId__components_4_200___schema3

- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema30
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema31
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema32
- ListComponentsResponseLooperNode: get__spaces__spaceId__environments__environmentId__components_4_200___schema4

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItems

- `id` (string, required)
- `name` (string, required)
- `required` (boolean, required)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItems, required)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsAllowedResourcesItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadata

- `tags` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItems, optional)
- `concepts` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItems, optional)
- `annotations` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotations, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters

- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters0
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters1
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters2
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters3
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters4

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysSpace

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysSpaceSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironment

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironmentSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysAutomationTagsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysAutomationTagsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems0

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`, `DateTime`
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems1

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `RichText`, `JSON`
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems2

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `Array`
- `items` (any, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems3

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `Record`
- `fields` (list of GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems4

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `TypeRef`
- `ref` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4Ref, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems5

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `Literal`
- `value` (any, required)
- `valueType` (get__spaces__spaceId__environments__environmentId__components_4_200___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems6

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `DiscriminatedUnion`
- `discriminator` (string, required)
- `members` (list of get__spaces__spaceId__environments__environmentId__components_4_200___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems7

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf7AllowedResourcesItems, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems0

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `String`
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0FallbackValue, optional)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems1

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `Boolean`
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf1FallbackValue, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems2

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `DTCG.Color`, `DTCG.Dimension`, `DTCG.FontFamily`, `DTCG.FontWeight`, `DTCG.Duration`, `DTCG.CubicBezier`, `DTCG.Number`, `DTCG.StrokeStyle`, `DTCG.Border`, `DTCG.Transition`, `DTCG.Shadow`, `DTCG.Gradient`, `DTCG.Typography`
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2FallbackValue, optional)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2AllowedResourcesItems, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema30

- `id` (string, required)
- `nodeType` (enum, required)
  - Allowed values: `Component`
- `component` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0Component, required)
- `contentProperties` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0ContentProperties, required)
- `designProperties` (map from string to GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignProperties, required)
- `slots` (map from string to list of get__spaces__spaceId__environments__environmentId__components_4_200___schema3, required)
- `name` (string, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema31

- `id` (string, required)
- `nodeType` (enum, required)
  - Allowed values: `ExperienceFragment`
- `experienceFragment` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf1ExperienceFragment, required)
- `name` (string, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema32

- `id` (string, required)
- `nodeType` (enum, required)
  - Allowed values: `Slot`
- `slotId` (string, required)

### get__spaces__spaceId__environments__environmentId__components_4_200___schema4

- `id` (string, required)
- `nodeType` (enum, required)
  - Allowed values: `Looper`
- `items` (string, required)
- `componentTree` (list of string, required)
- `name` (string, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItems

- `size` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItemsSize, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsAllowedResourcesItems

- `type` (enum, required)
  - Allowed values: `Contentful:Component`
- `source` (enum, required)
  - Allowed values: `crn:contentful:::experience:spaces/$self/environments/$self`
- `allowedTypes` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotations

- `DesignSystem` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsDesignSystem, optional)
- `Component` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsComponentItems, optional, nullable)
- `ExperienceTemplate` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsExperienceTemplateItems, optional, nullable)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItemsSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (enum, required)
  - Allowed values: `Contentful:DataAssembly`
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters0

- `type` (enum, required)
  - Allowed values: `string`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters1

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters2

- `type` (enum, required)
  - Allowed values: `date`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters3

- `type` (enum, required)
  - Allowed values: `array.string`
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaI18NContextParameters4

- `type` (enum, required)
  - Allowed values: `array.number`
- `value` (list of double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysSpaceSys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Space`
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironmentSys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Environment`
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBySys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `User`
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBySys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `User`
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySysLinkType, required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysAutomationTagsItemsSys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Tag`
- `id` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items

- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items0
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items1
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items2
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items3
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items4
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items5
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items6
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items7

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4Ref

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4RefSys, required)

### get__spaces__spaceId__environments__environmentId__components_4_200___schema1

- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema10
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema11
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema12
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema13
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema14
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema15
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema16
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema17

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf7AllowedResourcesItems

- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf7AllowedResourcesItems0
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf7AllowedResourcesItems1

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0FallbackValue

- `type` (enum, required)
  - Allowed values: `ManualDesignValue`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItems

- `regexp` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItemsRegexp, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf1FallbackValue

- `type` (enum, required)
  - Allowed values: `ManualDesignValue`
- `value` (boolean, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2FallbackValue

- `type` (enum, required)
  - Allowed values: `DesignToken`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2AllowedResourcesItems

- `type` (enum, required)
  - Allowed values: `DesignToken`
- `value` (string, required)
- `name` (string, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0Component

- `sys` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0ComponentSys, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0ContentProperties

- map from string to GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0ContentPropertiesOneOf0
- string

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignProperties

- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignProperties0
- string
- map from string to GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf2

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf1ExperienceFragment

- `sys` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf1ExperienceFragmentSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItemsSize

- `min` (double, optional)
- `max` (double, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItemsSys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Tag`
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItemsSys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `TaxonomyConcept`
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsDesignSystem

- `source` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsDesignSystemSource, optional, nullable)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsComponentItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsComponentItemsSys, required)
- `parameters` (map from string to any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsExperienceTemplateItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsExperienceTemplateItemsSys, required)
- `parameters` (map from string to any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySysLinkType

- enum
  - Allowed values: `User`
- enum
  - Allowed values: `AppDefinition`

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items0

- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`, `DateTime`
- `id` (string, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items1

- `type` (enum, required)
  - Allowed values: `RichText`, `JSON`
- `id` (string, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items2

- `type` (enum, required)
  - Allowed values: `Array`
- `items` (any, required)
- `id` (string, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items3

- `type` (enum, required)
  - Allowed values: `Record`
- `fields` (list of GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items, required)
- `id` (string, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items4

- `type` (enum, required)
  - Allowed values: `TypeRef`
- `ref` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf4Ref, required)
- `id` (string, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items5

- `type` (enum, required)
  - Allowed values: `Literal`
- `value` (any, required)
- `valueType` (get__spaces__spaceId__environments__environmentId__components_4_200___schema1, required)
- `id` (string, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items6

- `type` (enum, required)
  - Allowed values: `DiscriminatedUnion`
- `discriminator` (string, required)
- `members` (list of get__spaces__spaceId__environments__environmentId__components_4_200___schema1, required)
- `id` (string, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items7

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `allowedResources` (list of GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf7AllowedResourcesItems, required)
- `id` (string, required)
- `name` (string, optional)
- `required` (boolean, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4RefSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (string, required)
- `urn` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema10

- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`, `DateTime`
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema11

- `type` (enum, required)
  - Allowed values: `RichText`, `JSON`
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema12

- `type` (enum, required)
  - Allowed values: `Array`
- `items` (any, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema13

- `type` (enum, required)
  - Allowed values: `Record`
- `fields` (list of GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2Items, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema14

- `type` (enum, required)
  - Allowed values: `TypeRef`
- `ref` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf4Ref, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema15

- `type` (enum, required)
  - Allowed values: `Literal`
- `value` (any, required)
- `valueType` (get__spaces__spaceId__environments__environmentId__components_4_200___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema16

- `type` (enum, required)
  - Allowed values: `DiscriminatedUnion`
- `discriminator` (string, required)
- `members` (list of get__spaces__spaceId__environments__environmentId__components_4_200___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema17

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `allowedResources` (list of GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf7AllowedResourcesItems, required)
- `name` (string, optional)
- `required` (boolean, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf7AllowedResourcesItems0

- `type` (enum, required)
  - Allowed values: `Contentful:Entry`
- `source` (enum, required)
  - Allowed values: `crn:contentful:::content:spaces/$self/environments/$self`
- `allowedTypes` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf7AllowedResourcesItems1

- `type` (enum, required)
  - Allowed values: `Contentful:Asset`
- `source` (enum, required)
  - Allowed values: `crn:contentful:::content:spaces/$self/environments/$self`

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItemsRegexp

- `pattern` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0ComponentSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (enum, required)
  - Allowed values: `Contentful:Component`
- `urn` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0ContentPropertiesOneOf0

- string
- any

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignProperties0

- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignProperties00
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignProperties01

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf2

- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf20
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf21

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf1ExperienceFragmentSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (enum, required)
  - Allowed values: `Contentful:ExperienceFragment`
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsDesignSystemSource

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsDesignSystemSourceSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsComponentItemsSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Annotation`

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsExperienceTemplateItemsSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Annotation`

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf4Ref

- `sys` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf4RefSys, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf7AllowedResourcesItems

- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf7AllowedResourcesItems0
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf7AllowedResourcesItems1

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf4Ref

- `sys` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf4RefSys, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf7AllowedResourcesItems

- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf7AllowedResourcesItems0
- GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf7AllowedResourcesItems1

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignProperties00

- `type` (enum, required)
  - Allowed values: `DesignToken`
- `value` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignProperties01

- `type` (enum, required)
  - Allowed values: `ManualDesignValue`
- `value` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf0OneOf1Value, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf20

- `type` (enum, required)
  - Allowed values: `DesignToken`
- `value` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf21

- `type` (enum, required)
  - Allowed values: `ManualDesignValue`
- `value` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf2OneOf1Value, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsGetResponsesContentApplicationJsonSchemaItemsItemsMetadataAnnotationsDesignSystemSourceSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (enum, required)
  - Allowed values: `Contentful:DesignSystemSource`
- `urn` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf4RefSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (string, required)
- `urn` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf7AllowedResourcesItems0

- `type` (enum, required)
  - Allowed values: `Contentful:Entry`
- `source` (enum, required)
  - Allowed values: `crn:contentful:::content:spaces/$self/environments/$self`
- `allowedTypes` (list of string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema2ItemsOneOf7AllowedResourcesItems1

- `type` (enum, required)
  - Allowed values: `Contentful:Asset`
- `source` (enum, required)
  - Allowed values: `crn:contentful:::content:spaces/$self/environments/$self`

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf4RefSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (string, required)
- `urn` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf7AllowedResourcesItems0

- `type` (enum, required)
  - Allowed values: `Contentful:Entry`
- `source` (enum, required)
  - Allowed values: `crn:contentful:::content:spaces/$self/environments/$self`
- `allowedTypes` (list of string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema1OneOf7AllowedResourcesItems1

- `type` (enum, required)
  - Allowed values: `Contentful:Asset`
- `source` (enum, required)
  - Allowed values: `crn:contentful:::content:spaces/$self/environments/$self`

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf0OneOf1Value

- string
- double
- boolean

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponents4200Schema3OneOf0DesignPropertiesOneOf2OneOf1Value

- string
- double
- boolean

## Examples

**Response**

```json
{
  "sys": {
    "type": "Array"
  },
  "limit": 1.1,
  "items": [
    {
      "sys": {
        "id": "string",
        "type": "Component",
        "space": {
          "sys": {
            "type": "Link",
            "linkType": "Space",
            "id": "string"
          }
        },
        "environment": {
          "sys": {
            "type": "Link",
            "linkType": "Environment",
            "id": "string"
          }
        },
        "version": 1.1,
        "createdAt": "string",
        "createdBy": {
          "sys": {
            "type": "Link",
            "linkType": "User",
            "id": "string"
          }
        },
        "updatedAt": "string",
        "updatedBy": {
          "sys": {
            "type": "Link",
            "linkType": "User",
            "id": "string"
          }
        },
        "fieldStatus": {},
        "publishedAt": "string",
        "publishedVersion": 1.1,
        "publishedCounter": 1.1,
        "firstPublishedAt": "string",
        "publishedBy": {
          "sys": {
            "type": "Link",
            "linkType": "User",
            "id": "string"
          }
        },
        "variant": "string",
        "variantType": "string",
        "variantDimension": "string",
        "automationTags": [
          {
            "sys": {
              "type": "Link",
              "linkType": "Tag",
              "id": "string"
            }
          }
        ]
      },
      "name": "string",
      "description": "string",
      "contentProperties": [
        {
          "id": "string",
          "name": "string",
          "required": true,
          "type": "String"
        }
      ],
      "designProperties": [
        {
          "description": "string",
          "fallbackValue": {
            "type": "ManualDesignValue",
            "value": "string"
          },
          "id": "string",
          "name": "string",
          "type": "String",
          "validations": [
            {
              "regexp": {
                "pattern": "string"
              }
            }
          ]
        }
      ],
      "componentTree": [
        {
          "component": {
            "sys": {
              "linkType": "Contentful:Component",
              "type": "ResourceLink",
              "urn": "string"
            }
          },
          "contentProperties": {},
          "designProperties": {},
          "id": "string",
          "name": "string",
          "nodeType": "Component",
          "slots": {}
        }
      ],
      "slots": [
        {
          "id": "string",
          "name": "string",
          "required": true,
          "validations": [
            {
              "size": {
                "min": 1.1,
                "max": 1.1
              }
            }
          ],
          "allowedResources": [
            {
              "type": "Contentful:Component",
              "source": "crn:contentful:::experience:spaces/$self/environments/$self",
              "allowedTypes": [
                "string"
              ]
            }
          ]
        }
      ],
      "metadata": {
        "tags": [
          {
            "sys": {
              "type": "Link",
              "linkType": "Tag",
              "id": "string"
            }
          }
        ],
        "concepts": [
          {
            "sys": {
              "type": "Link",
              "linkType": "TaxonomyConcept",
              "id": "string"
            }
          }
        ],
        "annotations": {
          "DesignSystem": {
            "source": {
              "sys": {
                "type": "ResourceLink",
                "linkType": "Contentful:DesignSystemSource",
                "urn": "string"
              }
            }
          },
          "Component": [
            {
              "sys": {
                "id": "string",
                "type": "Link",
                "linkType": "Annotation"
              },
              "parameters": {}
            }
          ],
          "ExperienceTemplate": [
            {
              "sys": {
                "id": "string",
                "type": "Link",
                "linkType": "Annotation"
              },
              "parameters": {}
            }
          ]
        }
      },
      "dataAssemblies": [
        {
          "sys": {
            "type": "ResourceLink",
            "linkType": "Contentful:DataAssembly",
            "urn": "string"
          }
        }
      ]
    }
  ],
  "pages": {
    "next": "string",
    "prev": "string"
  },
  "total": 1.1
}
```